Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
Class SwingGroovyMethods

    java.lang.Object
      org.codehaus.groovy.runtime.SwingGroovyMethods

    class SwingGroovyMethods
    extends Object

This class defines all the new Swing-related groovy methods which enhance the normal JDK Swing classes when inside the Groovy environment. Static methods are used with the first parameter the destination class.

author:
  Andres Almiray

Constructor Summary
`SwingGroovyMethods()`

Method Summary
`static void` | `clear(Container self)` Removes all components from the Container.
`static void` | `clear(DefaultListModel self)` Removes all elements from the DefaultListModel.
`static void` | `clear(JComboBox self)` Removes all items from the JComboBox.
`static void` | `clear(DefaultMutableTreeNode self)` Removes all children nodes from the DefaultMutableTreeNode.
`static void` | `clear(JTabbedPane self)` Removes all elements from the JTabbedPane.
`static Component` | `getAt(Container self, int index)` Support the subscript operator for Container.
`static AbstractButton` | `getAt(ButtonGroup self, int index)` Support the subscript operator for ButtonGroup.
`static Object` | `getAt(ListModel self, int index)` Support the subscript operator for ListModel.
`static Object` | `getAt(JComboBox self, int index)` Support the subscript operator for JComboBox.
`static Object[]` | `getAt(TableModel self, int index)` Support the subscript operator for TableModel.
`static TableColumn` | `getAt(TableColumnModel self, int index)` Support the subscript operator for TableColumnModel.
`static Object` | `getAt(TreePath self, int index)` Support the subscript operator for TreePath.
`static TreeNode` | `getAt(TreeNode self, int index)` Support the subscript operator for TreeNode.
`static Component` | `getAt(JMenu self, int index)` Support the subscript operator for JMenu.
`static JMenu` | `getAt(JMenuBar self, int index)` Support the subscript operator for JMenuBar.
`static Component` | `getAt(JTabbedPane self, int index)` Support the subscript operator for JTabbedPane.
`static Component` | `getAt(JToolBar self, int index)` Support the subscript operator for JToolBar.
`static Iterator` | `iterator(Container self)` Returns an {
`static Iterator` | `iterator(ButtonGroup self)` Returns an {
`static Iterator` | `iterator(ListModel self)` Returns an {
`static Iterator` | `iterator(DefaultListModel self)` Returns an {
`static Iterator` | `iterator(JComboBox self)` Returns an {
`static Iterator` | `iterator(MutableComboBoxModel self)` Returns an {
`static Iterator` | `iterator(TableModel self)` Returns an {
`static Iterator` | `iterator(DefaultTableModel self)` Returns an {
`static Iterator` | `iterator(TableColumnModel self)` Returns an {
`static Iterator` | `iterator(TreePath self)` Returns an {
`static Iterator` | `iterator(TreeNode self)` Returns an {
`static Iterator` | `iterator(JMenu self)` Returns an {
`static Iterator` | `iterator(JMenuBar self)` Returns an {
`static Iterator` | `iterator(JPopupMenu self)` Returns an {
`static Iterator` | `iterator(JTabbedPane self)` Returns an {
`static Container` | `leftShift(Container self, Component c)` Overloads the left shift operator to provide an easy way to add components to a Container.
`static ButtonGroup` | `leftShift(ButtonGroup self, AbstractButton b)` Overloads the left shift operator to provide an easy way to add buttons to a ButtonGroup.
`static DefaultListModel` | `leftShift(DefaultListModel self, Object e)` Overloads the left shift operator to provide an easy way to add elements to a DefaultListModel.
`static JComboBox` | `leftShift(JComboBox self, Object i)` Overloads the left shift operator to provide an easy way to add items to a JComboBox.
`static MutableComboBoxModel` | `leftShift(MutableComboBoxModel self, Object i)` Overloads the left shift operator to provide an easy way to add items to a MutableComboBoxModel.
`static DefaultTableModel` | `leftShift(DefaultTableModel self, Object row)` Overloads the left shift operator to provide an easy way to add rows to a DefaultTableModel.
`static TableColumnModel` | `leftShift(TableColumnModel self, TableColumn column)` Overloads the left shift operator to provide an easy way to add columns to a TableColumnModel.
`static TreePath` | `leftShift(TreePath self, Object p)` Overloads the left shift operator to provide an easy way to add paths to a treePath.
`static MutableTreeNode` | `leftShift(MutableTreeNode self, MutableTreeNode node)` Overloads the left shift operator to provide an easy way to add nodes to a MutableTreeNode.
`static DefaultMutableTreeNode` | `leftShift(DefaultMutableTreeNode self, DefaultMutableTreeNode node)` Overloads the left shift operator to provide an easy way to add nodes to a DefaultMutableTreeNode.
`static JMenu` | `leftShift(JMenu self, Action action)` Overloads the left shift operator to provide an easy way to add components to a menu.
`static JMenu` | `leftShift(JMenu self, Component component)` Overloads the left shift operator to provide an easy way to add components to a menu.
`static JMenu` | `leftShift(JMenu self, JMenuItem item)` Overloads the left shift operator to provide an easy way to add components to a menu.
`static JMenu` | `leftShift(JMenu self, String str)` Overloads the left shift operator to provide an easy way to add components to a menu.
`static JMenu` | `leftShift(JMenu self, GString gstr)` Overloads the left shift operator to provide an easy way to add components to a menu.
`static JMenuBar` | `leftShift(JMenuBar self, JMenu menu)` Overloads the left shift operator to provide an easy way to add menus to a menuBar.
`static JPopupMenu` | `leftShift(JPopupMenu self, Action action)` Overloads the left shift operator to provide an easy way to add components to a popupMenu.
`static JPopupMenu` | `leftShift(JPopupMenu self, Component component)` Overloads the left shift operator to provide an easy way to add components to a popupMenu.
`static JPopupMenu` | `leftShift(JPopupMenu self, JMenuItem item)` Overloads the left shift operator to provide an easy way to add components to a popupMenu.
`static JPopupMenu` | `leftShift(JPopupMenu self, String str)` Overloads the left shift operator to provide an easy way to add components to a popupMenu.
`static JPopupMenu` | `leftShift(JPopupMenu self, GString gstr)` Overloads the left shift operator to provide an easy way to add components to a popupMenu.
`static JToolBar` | `leftShift(JToolBar self, Action action)` Overloads the left shift operator to provide an easy way to add components to a toolBar.
`static void` | `putAt(DefaultListModel self, int index, Object e)` Allow DefaultListModel to work with subscript operators.
`static void` | `putAt(MutableComboBoxModel self, int index, Object i)` Allow MutableComboBoxModel to work with subscript operators.
`static void` | `putAt(DefaultTableModel self, int index, Object row)` Allow DefaultTableModel to work with subscript operators.
`static void` | `putAt(MutableTreeNode self, int index, MutableTreeNode node)` Allow MutableTreeNode to work with subscript operators.
`static int` | `size(Container self)` Provide the standard Groovy `size()` method for `Container`.
`static int` | `size(ButtonGroup self)` Provide the standard Groovy `size()` method for `ButtonGroup`.
`static int` | `size(ListModel self)` Provide the standard Groovy `size()` method for `ListModel`.
`static int` | `size(JComboBox self)` Provide the standard Groovy `size()` method for `JComboBox`.
`static int` | `size(TableModel self)` Provide the standard Groovy `size()` method for `TableModel`.
`static int` | `size(TableColumnModel self)` Provide the standard Groovy `size()` method for `TableColumnModel`.
`static int` | `size(TreePath self)` Provide the standard Groovy `size()` method for `TreePath`.
`static int` | `size(TreeNode self)` Provide the standard Groovy `size()` method for `TreeNode`.
`static int` | `size(JMenu self)` Provide the standard Groovy `size()` method for `JMenu`.
`static int` | `size(JMenuBar self)` Provide the standard Groovy `size()` method for `JMenuBar`.
`static int` | `size(JTabbedPane self)` Provide the standard Groovy `size()` method for `JTabbedPane`.

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### SwingGroovyMethods

    SwingGroovyMethods()

Method Detail

### clear

    public static void clear(Container self)

  Removes all components from the Container.
  param:
    self a Container
  since:
    1.6.4

### clear

    public static void clear(DefaultListModel self)

  Removes all elements from the DefaultListModel.
  param:
    self a DefaultListModel
  since:
    1.6.4

### clear

    public static void clear(JComboBox self)

  Removes all items from the JComboBox.
  param:
    self a JComboBox
  since:
    1.6.4

### clear

    public static void clear(DefaultMutableTreeNode self)

  Removes all children nodes from the DefaultMutableTreeNode.
  param:
    self a DefaultMutableTreeNode
  since:
    1.6.4

### clear

    public static void clear(JTabbedPane self)

  Removes all elements from the JTabbedPane.
  param:
    self a JTabbedPane
  since:
    1.6.4

### getAt

    public static Component getAt(Container self, int index)

  Support the subscript operator for Container.
  param:
    self a Container
  param:
    index the index of the Component to get
  return:
    the component at the given index
  since:
    1.6.4

### getAt

    public static AbstractButton getAt(ButtonGroup self, int index)

  Support the subscript operator for ButtonGroup.
  param:
    self a ButtonGroup
  param:
    index the index of the AbstractButton to get
  return:
    the button at the given index
  since:
    1.6.4

### getAt

    public static Object getAt(ListModel self, int index)

  Support the subscript operator for ListModel.
  param:
    self a ListModel
  param:
    index the index of the element to get
  return:
    the element at the given index
  since:
    1.6.4

### getAt

    public static Object getAt(JComboBox self, int index)

  Support the subscript operator for JComboBox.
  param:
    self a JComboBox
  param:
    index the index of the item to get
  return:
    the tem at the given index
  since:
    1.6.4

### getAt

    public static Object[] getAt(TableModel self, int index)

  Support the subscript operator for TableModel.
  param:
    self a TableModel
  param:
    index the index of the row to get
  return:
    the row at the given index
  since:
    1.6.4

### getAt

    public static TableColumn getAt(TableColumnModel self, int index)

  Support the subscript operator for TableColumnModel.
  param:
    self a TableColumnModel
  param:
    index the index of the column to get
  return:
    the column at the given index
  since:
    1.6.4

### getAt

    public static Object getAt(TreePath self, int index)

  Support the subscript operator for TreePath.
  param:
    self a TreePath
  param:
    index the index of the path to get
  return:
    the path at the given index
  since:
    1.6.4

### getAt

    public static TreeNode getAt(TreeNode self, int index)

  Support the subscript operator for TreeNode.
  param:
    self a TreeNode
  param:
    index the index of the child node to get
  return:
    the child node at the given index
  since:
    1.6.4

### getAt

    public static Component getAt(JMenu self, int index)

  Support the subscript operator for JMenu.
  param:
    self a JMenu
  param:
    index the index of the menu component to get
  return:
    the menu component at the given index
  since:
    1.6.4

### getAt

    public static JMenu getAt(JMenuBar self, int index)

  Support the subscript operator for JMenuBar.
  param:
    self a JMenuBar
  param:
    index the index of the menu to get
  return:
    the menu at the given index
  since:
    1.6.4

### getAt

    public static Component getAt(JTabbedPane self, int index)

  Support the subscript operator for JTabbedPane.
  param:
    self a JTabbedPane
  param:
    index the index of the tab component to get
  return:
    the component at the given index
  since:
    1.6.4

### getAt

    public static Component getAt(JToolBar self, int index)

  Support the subscript operator for JToolBar.
  param:
    self a JToolBar
  param:
    index the index of the tab component to get
  return:
    the tab component at the given index
  since:
    1.6.4

### iterator

    public static Iterator iterator(Container self)

  Returns an Iterator which traverses the Container one Component at a time.
  param:
    self a Container
  return:
    an Iterator for a Container
  since:
    1.6.4

### iterator

    public static Iterator iterator(ButtonGroup self)

  Returns an Iterator which traverses the ButtonGroup one AbstractButton at a time.
  param:
    self a ButtonGroup
  return:
    an Iterator for a ButtonGroup
  since:
    1.6.4

### iterator

    public static Iterator iterator(ListModel self)

  Returns an Iterator which traverses the ListModel one element at a time.
  param:
    self a ListModel
  return:
    an Iterator for a ListModel
  since:
    1.6.4

### iterator

    public static Iterator iterator(DefaultListModel self)

  Returns an Iterator which traverses the DefaultListModel one element at a time.
  param:
    self a DefaultListModel
  return:
    an Iterator for a DefaultListModel
  since:
    1.6.4

### iterator

    public static Iterator iterator(JComboBox self)

  Returns an Iterator which traverses the ComboBox one item at a time.
  param:
    self a ComboBox
  return:
    an Iterator for a ComboBox
  since:
    1.6.4

### iterator

    public static Iterator iterator(MutableComboBoxModel self)

  Returns an Iterator which traverses the MutableComboBoxModel one item at a time.
  param:
    self a MutableComboBoxModel
  return:
    an Iterator for a MutableComboBoxModel
  since:
    1.6.4

### iterator

    public static Iterator iterator(TableModel self)

  Returns an Iterator which traverses the TableModel one row at a time.
  param:
    self a TableModel
  return:
    an Iterator for a TableModel
  since:
    1.6.4

### iterator

    public static Iterator iterator(DefaultTableModel self)

  Returns an Iterator which traverses the DefaultTableModel one item at a time.
  param:
    self a DefaultTableModel
  return:
    an Iterator for a DefaultTableModel
  since:
    1.6.4

### iterator

    public static Iterator iterator(TableColumnModel self)

  Returns an Iterator which traverses the TableColumnModel one TableColumn at a time.
  param:
    self a TableColumnModel
  return:
    an Iterator for a TableColumnModel
  since:
    1.6.4

### iterator

    public static Iterator iterator(TreePath self)

  Returns an Iterator which traverses the TreePath one path at a time.
  param:
    self a TreePath
  return:
    an Iterator for a TreePath
  since:
    1.6.4

### iterator

    @SuppressWarnings("unchecked")
    public static Iterator iterator(TreeNode self)

  Returns an Iterator which traverses the TreeNode one node at a time.
  param:
    self a TreeNode
  return:
    an Iterator for a TreeNode
  since:
    1.6.4

### iterator

    public static Iterator iterator(JMenu self)

  Returns an Iterator which traverses the JMenu one component at a time.
  param:
    self a JMenu
  return:
    an Iterator for a JMenu
  since:
    1.6.4

### iterator

    public static Iterator iterator(JMenuBar self)

  Returns an Iterator which traverses the JMenuBar one menu at a time.
  param:
    self a JMenuBar
  return:
    an Iterator for a JMenuBar
  since:
    1.6.4

### iterator

    public static Iterator iterator(JPopupMenu self)

  Returns an Iterator which traverses the JPopupMenu one MenuElement at a time.
  param:
    self a JPopupMenu
  return:
    an Iterator for a JPopupMenu
  since:
    1.6.4

### iterator

    public static Iterator iterator(JTabbedPane self)

  Returns an Iterator which traverses the JTabbedPane one Component tab at a time.
  param:
    self a JTabbedPane
  return:
    an Iterator for a JTabbedPane
  since:
    1.6.4

### leftShift

    public static Container leftShift(Container self, Component c)

  Overloads the left shift operator to provide an easy way to add components to a Container.
  param:
    self a Container
  param:
    c a Component to be added to the container.
  return:
    same container, after the value was added to it.
  since:
    1.6.4

### leftShift

    public static ButtonGroup leftShift(ButtonGroup self, AbstractButton b)

  Overloads the left shift operator to provide an easy way to add buttons to a ButtonGroup.
  param:
    self a ButtonGroup
  param:
    b an AbstractButton to be added to the buttonGroup.
  return:
    same buttonGroup, after the value was added to it.
  since:
    1.6.4

### leftShift

    public static DefaultListModel leftShift(DefaultListModel self, Object e)

  Overloads the left shift operator to provide an easy way to add elements to a DefaultListModel.
  param:
    self a DefaultListModel
  param:
    e an element to be added to the listModel.
  return:
    same listModel, after the value was added to it.
  since:
    1.6.4

### leftShift

    public static JComboBox leftShift(JComboBox self, Object i)

  Overloads the left shift operator to provide an easy way to add items to a JComboBox.
  param:
    self a JComboBox
  param:
    i an item to be added to the comboBox.
  return:
    same comboBox, after the value was added to it.
  since:
    1.6.4

### leftShift

    public static MutableComboBoxModel leftShift(MutableComboBoxModel self, Object i)

  Overloads the left shift operator to provide an easy way to add items to a MutableComboBoxModel.
  param:
    self a MutableComboBoxModel
  param:
    i an item to be added to the model.
  return:
    same model, after the value was added to it.
  since:
    1.6.4

### leftShift

    public static DefaultTableModel leftShift(DefaultTableModel self, Object row)

  Overloads the left shift operator to provide an easy way to add rows to a DefaultTableModel.

  if row.size < model.size -> row will be padded with nulls
  if row.size > model.size -> additional columns will be discarded
  param:
    self a DefaultTableModel
  param:
    row a row to be added to the model.
  return:
    same model, after the value was added to it.
  since:
    1.6.4

### leftShift

    public static TableColumnModel leftShift(TableColumnModel self, TableColumn column)

  Overloads the left shift operator to provide an easy way to add columns to a TableColumnModel.
  param:
    self a TableColumnModel
  param:
    column a TableColumn to be added to the model.
  return:
    same model, after the value was added to it.
  since:
    1.6.4

### leftShift

    public static TreePath leftShift(TreePath self, Object p)

  Overloads the left shift operator to provide an easy way to add paths to a treePath.

  WARNING: this operation returns a new TreePath, not the original one.

  param:
    self a TreePath
  param:
    p an object to be added to the treePath.
  return:
    same treePath, after the value was added to it.
  since:
    1.6.4

### leftShift

    public static MutableTreeNode leftShift(MutableTreeNode self, MutableTreeNode node)

  Overloads the left shift operator to provide an easy way to add nodes to a MutableTreeNode.

  param:
    self a MutableTreeNode
  param:
    node a node to be added to the treeNode.
  return:
    same treeNode, after the value was added to it.
  since:
    1.6.4

### leftShift

    public static DefaultMutableTreeNode leftShift(DefaultMutableTreeNode self, DefaultMutableTreeNode node)

  Overloads the left shift operator to provide an easy way to add nodes to a DefaultMutableTreeNode.

  param:
    self a DefaultMutableTreeNode
  param:
    node a node to be added to the treeNode.
  return:
    same treeNode, after the value was added to it.
  since:
    1.6.4

### leftShift

    public static JMenu leftShift(JMenu self, Action action)

  Overloads the left shift operator to provide an easy way to add components to a menu.

  param:
    self a JMenu
  param:
    action an action to be added to the menu.
  return:
    same menu, after the value was added to it.
  since:
    1.6.4

### leftShift

    public static JMenu leftShift(JMenu self, Component component)

  Overloads the left shift operator to provide an easy way to add components to a menu.

  param:
    self a JMenu
  param:
    component a component to be added to the menu.
  return:
    same menu, after the value was added to it.
  since:
    1.6.4

### leftShift

    public static JMenu leftShift(JMenu self, JMenuItem item)

  Overloads the left shift operator to provide an easy way to add components to a menu.

  param:
    self a JMenu
  param:
    item an item to be added to the menu.
  return:
    same menu, after the value was added to it.
  since:
    1.6.4

### leftShift

    public static JMenu leftShift(JMenu self, String str)

  Overloads the left shift operator to provide an easy way to add components to a menu.

  param:
    self a JMenu
  param:
    str a String to be added to the menu.
  return:
    same menu, after the value was added to it.
  since:
    1.6.4

### leftShift

    public static JMenu leftShift(JMenu self, GString gstr)

  Overloads the left shift operator to provide an easy way to add components to a menu.

  param:
    self a JMenu
  param:
    gstr a GString to be added to the menu.
  return:
    same menu, after the value was added to it.
  since:
    1.6.4

### leftShift

    public static JMenuBar leftShift(JMenuBar self, JMenu menu)

  Overloads the left shift operator to provide an easy way to add menus to a menuBar.

  param:
    self a JMenuBar
  param:
    menu a menu to be added to the menuBar.
  return:
    same menuBar, after the value was added to it.
  since:
    1.6.4

### leftShift

    public static JPopupMenu leftShift(JPopupMenu self, Action action)

  Overloads the left shift operator to provide an easy way to add components to a popupMenu.

  param:
    self a JPopupMenu
  param:
    action an action to be added to the popupMenu.
  return:
    same popupMenu, after the value was added to it.
  since:
    1.6.4

### leftShift

    public static JPopupMenu leftShift(JPopupMenu self, Component component)

  Overloads the left shift operator to provide an easy way to add components to a popupMenu.

  param:
    self a JPopupMenu
  param:
    component a component to be added to the popupMenu.
  return:
    same popupMenu, after the value was added to it.
  since:
    1.6.4

### leftShift

    public static JPopupMenu leftShift(JPopupMenu self, JMenuItem item)

  Overloads the left shift operator to provide an easy way to add components to a popupMenu.

  param:
    self a JPopupMenu
  param:
    item an item to be added to the popupMenu.
  return:
    same popupMenu, after the value was added to it.
  since:
    1.6.4

### leftShift

    public static JPopupMenu leftShift(JPopupMenu self, String str)

  Overloads the left shift operator to provide an easy way to add components to a popupMenu.

  param:
    self a JPopupMenu
  param:
    str a String to be added to the popupMenu.
  return:
    same popupMenu, after the value was added to it.
  since:
    1.6.4

### leftShift

    public static JPopupMenu leftShift(JPopupMenu self, GString gstr)

  Overloads the left shift operator to provide an easy way to add components to a popupMenu.

  param:
    self a JPopupMenu
  param:
    gstr a GString to be added to the popupMenu.
  return:
    same popupMenu, after the value was added to it.
  since:
    1.6.4

### leftShift

    public static JToolBar leftShift(JToolBar self, Action action)

  Overloads the left shift operator to provide an easy way to add components to a toolBar.

  param:
    self a JToolBar
  param:
    action an Action to be added to the toolBar.
  return:
    same toolBar, after the value was added to it.
  since:
    1.6.4

### putAt

    public static void putAt(DefaultListModel self, int index, Object e)

  Allow DefaultListModel to work with subscript operators.

  WARNING: this operation does not replace the element at the specified index, rather it inserts the element at that index, thus increasing the size of of the model by 1.

  param:
    self a DefaultListModel
  param:
    index an index
  param:
    e the element to insert at the given index
  since:
    1.6.4

### putAt

    public static void putAt(MutableComboBoxModel self, int index, Object i)

  Allow MutableComboBoxModel to work with subscript operators.

  WARNING: this operation does not replace the item at the specified index, rather it inserts the item at that index, thus increasing the size of the model by 1.

  param:
    self a MutableComboBoxModel
  param:
    index an index
  param:
    i the item to insert at the given index
  since:
    1.6.4

### putAt

    public static void putAt(DefaultTableModel self, int index, Object row)

  Allow DefaultTableModel to work with subscript operators.

  WARNING: this operation does not replace the item at the specified index, rather it inserts the item at that index, thus increasing the size of the model by 1.

  if row.size < model.size -> row will be padded with nulls
  if row.size > model.size -> additional columns will be discarded
  param:
    self a DefaultTableModel
  param:
    index an index
  param:
    row the row to insert at the given index
  since:
    1.6.4

### putAt

    public static void putAt(MutableTreeNode self, int index, MutableTreeNode node)

  Allow MutableTreeNode to work with subscript operators.

  WARNING: this operation does not replace the node at the specified index, rather it inserts the node at that index, thus increasing the size of the treeNode by 1.

  param:
    self a MutableTreeNode
  param:
    index an index
  param:
    node the node to insert at the given index
  since:
    1.6.4

### size

    public static int size(Container self)

  Provide the standard Groovy `size()` method for `Container`.
  param:
    self a Container
  return:
    the component count of the container
  since:
    1.6.4

### size

    public static int size(ButtonGroup self)

  Provide the standard Groovy `size()` method for `ButtonGroup`.
  param:
    self a ButtonGroup
  return:
    the button count of the buttonGroup
  since:
    1.6.4

### size

    public static int size(ListModel self)

  Provide the standard Groovy `size()` method for `ListModel`.
  param:
    self a ListModel
  return:
    the size of the ListModel
  since:
    1.6.4

### size

    public static int size(JComboBox self)

  Provide the standard Groovy `size()` method for `JComboBox`.
  param:
    self a JComboBox
  return:
    the intem count of the comboBox
  since:
    1.6.4

### size

    public static int size(TableModel self)

  Provide the standard Groovy `size()` method for `TableModel`.
  param:
    self a TableModel
  return:
    the row count of the TableModel
  since:
    1.6.4

### size

    public static int size(TableColumnModel self)

  Provide the standard Groovy `size()` method for `TableColumnModel`.
  param:
    self a TableColumnModel
  return:
    the column count of the TableColumnModel
  since:
    1.6.4

### size

    public static int size(TreePath self)

  Provide the standard Groovy `size()` method for `TreePath`.
  param:
    self a TreePath
  return:
    the path count of the treePath
  since:
    1.6.4

### size

    public static int size(TreeNode self)

  Provide the standard Groovy `size()` method for `TreeNode`.
  param:
    self a TreeNode
  return:
    the child count of the treeNode
  since:
    1.6.4

### size

    public static int size(JMenu self)

  Provide the standard Groovy `size()` method for `JMenu`.
  param:
    self a JMenu
  return:
    the menu component count of the menu
  since:
    1.6.4

### size

    public static int size(JMenuBar self)

  Provide the standard Groovy `size()` method for `JMenuBar`.
  param:
    self a JMenuBar
  return:
    the menu count of the menuBar
  since:
    1.6.4

### size

    public static int size(JTabbedPane self)

  Provide the standard Groovy `size()` method for `JTabbedPane`.
  param:
    self a JTabbedPane
  return:
    the tab count of the tabbedPane
  since:
    1.6.4

Copyright © 2003-2009 The Codehaus. All rights reserved.